pkgname=lunaos-cinnamon-settings
pkgdesc='LunaOS Cinnamon Settings'
pkgver=.
pkgrel=1
arch=('any')
groups=('lunaos')
url="https://gitlab.com/LunaOS/iso/cinnamon/lunaos-cinnamon-settings"
license=('GPL')
makedepends=('coreutils')
source=("$pkgname::git+https://gitlab.com/LunaOS/iso/cinnamon/lunaos-cinnamon-settings.git")
sha512sums=('SKIP')
depends=('cinnamon' 'papirus-icon-theme' 'dracula-cursors-git' 'arc-gtk-theme' 'kvantum' 'qt6-svg')
optdepends=(
    'pamac: Package Manager'
    'bauh: Package Manager'
    'octopi: Package Manger'
    )
         
install=$pkgname.install
provides=('lunaos-cinnamon-settings')
conflicts=('lunaos-cinnamon-settings' 'cinnamon-sounds' 'mint-artwork')

pkgver() {
	cd "$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

package() {
    install -d $pkgdir/etc
    install -d $pkgdir/usr
    cp -rf $srcdir/$pkgname/etc $pkgdir
    cp -rf $srcdir/$pkgname/usr $pkgdir
}
